The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  вход/выход  слежка  RSS
"Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +/
Сообщение от opennews (??) on 01-Янв-17, 13:42 
Разработчики FreeBSD объявили (https://lists.freebsd.org/pipermail/freebsd-announce/2017-Ja...) о прекращении выпуска обновлений (https://security.freebsd.org/) для выпусков FreeBSD 9.3, 10.1 и 10.2, а также о прекращении поддержки ветки FreeBSD 9.x. Пользователям рекомендуется выполнить обновление до версии FreeBSD 10.3, исправления для которой будут выпускаться до 30 апреля 2018 года, или перейти на ветку  FreeBSD 11.

URL: https://lists.freebsd.org/pipermail/freebsd-announce/2017-Ja...
Новость: https://www.opennet.ru/opennews/art.shtml?num=45796

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


2. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +1 +/
Сообщение от Аноним (??) on 01-Янв-17, 14:23 
С новым годом - bsd edition :)
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

3. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  –2 +/
Сообщение от iZEN (ok) on 01-Янв-17, 19:12 
И LLVM/Clang 3.9.1 прилетел в систему. Но толку от него - у меня он давно вынесен и поставлен портом.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

4. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +1 +/
Сообщение от Аноним (??) on 01-Янв-17, 21:12 
Ура! Это конец gcc в базовой системе, старому openssl, fmake... Из портов наконец можно будет выкинуть кучу костылей для поддержки этого хлама!
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

5. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +/
Сообщение от Кубер100 on 02-Янв-17, 00:42 
эммм... а с gcc что не так?
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

8. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +/
Сообщение от MrStell (ok) on 02-Янв-17, 14:13 
Коротко - лицензия.
Во FreeBSD долгое время использовали GCC 4.2.1 - последнюю версиюю выпущеную под GPLv2.
Дальше GCC перешел под GPLv3, где-то возникла несовместимость для использования его в проекте для базовой системы.
Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

14. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  –1 +/
Сообщение от Аноним (??) on 03-Янв-17, 15:46 
> Дальше GCC перешел под GPLv3, где-то возникла несовместимость для использования его в
> проекте для базовой системы.

Известно где. В DRMвых проприетарщиках, надеже и оплоте фрибсд.

Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

11. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  –1 +/
Сообщение от Аноним (??) on 03-Янв-17, 11:06 
С гпл-лицензией слегка труднее ложиться под проприетарщиков.
Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

18. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  –2 +/
Сообщение от iZEN email(ok) on 04-Янв-17, 11:45 
Но всё равно ложится - вспомните Oracle с её пучком GPL-продуктов, исходники к которым распространяются по идентификатору авторизованного клиента.
Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

19. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +/
Сообщение от Аноним (??) on 04-Янв-17, 13:34 
Уточни каких именно. Просто, нужные мне srpms качаются без аутентификации. Ну и регистрация там бесплатна.
Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

6. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +/
Сообщение от iZEN (ok) on 02-Янв-17, 01:09 
> Ура! Это конец gcc в базовой системе, старому openssl, fmake... Из портов
> наконец можно будет выкинуть кучу костылей для поддержки этого хлама!

Угу. Только в fftw3-3.3.5 не включай опцию OPENMP, а то прилетит gcc6-6.3.0.

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

10. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +/
Сообщение от Аноним (??) on 03-Янв-17, 06:21 
потому что фортрана по-прежнему нет в LLVM
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

16. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  –1 +/
Сообщение от iZEN (ok) on 03-Янв-17, 16:14 
> потому что фортрана по-прежнему нет в LLVM

Там фортран не нужен.


Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

21. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +/
Сообщение от Аноним (??) on 07-Янв-17, 13:10 
Вообще-то там нужна только джява. Изя, я правильно тебя понял?
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

15. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +/
Сообщение от Аноним (??) on 03-Янв-17, 15:48 
> Угу. Только в fftw3-3.3.5 не включай опцию OPENMP, а то прилетит gcc6-6.3.0.

Что, 4 компилятора в системе кажутся перебором? Жабист и из сей питон сделает, однако :)


Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

7. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  –1 +/
Сообщение от Аноним (??) on 02-Янв-17, 06:11 
в ПлейСтейшн какой FreeBSD? не 10.2?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

9. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  –4 +/
Сообщение от Аноним (??) on 02-Янв-17, 22:34 
такой же как и linux у cisco роутерах.
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

12. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  –2 +/
Сообщение от Аноним (??) on 03-Янв-17, 11:08 
> такой же как и linux у cisco роутерах.

Кстати, диск с GPL-Exeptions прилагался.

Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

13. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +3 +/
Сообщение от Аноним (??) on 03-Янв-17, 14:38 
> в ПлейСтейшн какой FreeBSD? не 10.2?

Говорят, что 9.0. Хотя то, что Cоньке на безопасность клиентов "покласть большой и толстый" давно не сюрприз (https://en.wikipedia.org/wiki/Sony_BMG_copy_protection_rootk...)

Кстати, не подскажите в ответ, какой именно пингвин с какими кедами используются в краснозведной ОСи? )


Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

20. "Объявление о прекращении поддержки FreeBSD 9.3, 10.1 и 10.2 "  +/
Сообщение от Аноним (??) on 04-Янв-17, 13:36 
> Кстати, не подскажите в ответ, какой именно пингвин с какими кедами используются
> в краснозведной ОСи? )

Весь мир - это Северная Корея.

Ответить | Правка | ^ к родителю #13 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру